org.eclipse.emf.cdo.server

## Interface IMEMStore

- All Superinterfaces:
    CDOAllRevisionsProvider, IMEMStore, IStore, IStore.CanHandleClientAssignedIDs

  Deprecated.
  Use `IMEMStore`

      @Deprecated
      public interface IMEMStore
      extends IMEMStore

  A simple in-memory store.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStore

      `IStore.CanHandleClientAssignedIDs, IStore.ChangeFormat, IStore.RevisionParallelism, IStore.RevisionTemporality`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.mem.IMEMStore

      `UNLIMITED`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.mem.IMEMStore

      `getListLimit, getObjectType, setListLimit`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStore

      `createObjectID, getCreationTime, getIndicatingCommitDistributor, getLastBranchID, getLastCommitTime, getLastLocalBranchID, getLastNonLocalCommitTime, getObjectIDTypes, getPersistentProperties, getReader, getRepository, getRevisionParallelism, getRevisionTemporality, getSupportedChangeFormats, getSupportedRevisionParallelisms, getSupportedRevisionTemporalities, getType, getWriter, isFirstStart, removePersistentProperties, setPersistentProperties`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOAllRevisionsProvider

      `getAllRevisions`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html